# Copyright 2014-2020 the openage authors. See copying.md for legal info.

# warning: auto-generated file by cmake. look at the template file instead.

# autogen produces lines of config-dependent length (e.g. COMPILERFLAGS).
# pylint: disable=line-too-long

"""
Project configuration, written by the build system.
"""

import sys
import importlib
import cython
import jinja2
import numpy
import PIL
import pygments

GLOBAL_CONFIG_DIR = "/usr/etc/openage"
GLOBAL_ASSET_DIR = "/usr/share/openage"
BUILD_SRC_DIR = "/build/openage-git/src/openage"
BUILD_BIN_DIR = "/build/openage-git/src/openage/build"

# version information
VERSION = "v0.4.1-1090-g653814e63"
CONFIG_OPTIONS = "gperftools-profiler, inotify, ncurses, opengl, vulkan"

# toolchain
COMPILER = "GNU 12.2.1"
COMPILERFLAGS = "-march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection -Wp,-D_GLIBCXX_ASSERTIONS -g -ffile-prefix-map=/build/openage-git/src=/usr/src/debug/openage-git -flto=auto -fdiagnostics-color=auto"
CICFGVERSION = "NOT SET"
PYTHONINTERPRETER = sys.version
PYTHONCAPI = sys.api_version
CYTHONVERSION = cython.__version__
JINJAVERSION = jinja2.__version__
NUMPYVERSION = numpy.__version__
PILVERSION = PIL.__version__
PYGMENTSVERSION = pygments.__version__

# features
WITH_NCURSES = ("true" == "true")


try:
    importlib.import_module("openage.devmode")
    DEVMODE = True
except ImportError:
    DEVMODE = False
